public class LangInfo {
    public string id { get; set; }
    public string name { get; set; }    
}

public class GlobalSettings {
    public static int PROXY_MODE_NONE = 0;
    public static int SERVER_RESPOND_TIMEOUT = 10;
    
    private GlobalSettings() {
    }
    
    public static Soup.URI getProxyUri() {
        var settings = new Settings("org.gnome.system.proxy");
        var mode = settings.get_enum("mode");
        if (mode == PROXY_MODE_NONE) {
            return null;
        }
        
        settings = new Settings("org.gnome.system.proxy.http");        
        var host = settings.get_string("host");
        var port = settings.get_int("port");
        var proxyUri = new Soup.URI(@"http://$host:$port");        
        return proxyUri;
    }
    
    public static LangInfo[] getLangs() {
        var res = new Gee.ArrayList<LangInfo>();
        res.add(new LangInfo() {
            id = "en",
            name = _("English")
        });
        
        res.add(new LangInfo() {
            id = "ru",
            name = _("Russian")
        });
        
        res.add(new LangInfo() {
            id = "uk",
            name = _("Ukrainian")
        });
        
        res.add(new LangInfo() {
            id = "de",
            name = _("Deutsch")
        });
        
        res.add(new LangInfo() {
            id = "fr",
            name = _("French")
        });                
        
        return res.to_array();
    }
    
    public static string getPath(string name) {
        string path = @"/usr/share/translator/$(name)";
        return path;
    }
}